Core - Bug # 57746

Status: Closed Priority: Should have
Author: David Hoeckele Category:

Created: 2014-04-08 Assigned To:

Updated: 2014-04-23 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: FE-User Session is deleted on login attempt / Login fails if Session is not empty
Description

| have a shop-extension - developed on 6.1 with extbase - and now installed on a 6.2 installation.
This shop extension saves some data like the basket-object into the Session of the current FE-user (user is not logged in until now).

If the user now tries to login via felogin (with at least one product in basket), the login always fails the first time.
After it failed the session data is empty (basket cleared) and the fe-user cookie is deleted.

If the user now tries to login a second time - it works.

Related issues:

related to Core - Bug # 57724: Not logged in after "Forgot your password?" pr... Closed 2014-04-07
duplicated by Core - Bug # 57751: Felogin session not set Resolved 2014-04-08
History

#1 - 2014-04-08 15:11 - Benjamin Mack
- Assigned To set to Benjamin Mack

#2 - 2014-04-11 21:32 - Markus Klein

Although this has been reported earlier, there're already more comments in the duplicate #57751.

| propose to continue there.

#3 - 2014-04-23 23:14 - Markus Klein
- Status changed from New to Closed
- Assigned To deleted (Benjamin Mack)

Please continue in #57751.
